
Redmine - Defect #28576

Attachments are added even if validation fails when updating an issue via email

2018-04-17 15:32 - Doruk Fişek

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.3.9   

Resolution: Fixed Affected version:  

Description

Setting: There's an issue that a required field's empty.

When I try to update the issue via e-mail (but not add value to the required field), Redmine rejects the e-mail update (as it should).

However if the e-mail has an attachment, it adds the attachment to the issue nevertheless.

What it should do is to reject the attachment also.

Associated revisions

Revision 17630 - 2018-11-23 07:07 - Go MAEDA

Fix: Attachments are added even if validation fails when updating an issue via email (#28576).

Patch by Takenori TAKAKI.

Revision 17631 - 2018-11-24 12:20 - Go MAEDA

Merged r17630 from trunk to 3.4-stable (#28576).

Revision 17632 - 2018-11-24 12:22 - Go MAEDA

Merged r17630 from trunk to 3.3-stable (#28576).

History

#1 - 2018-10-02 05:53 - Go MAEDA

- Category set to Email receiving

#2 - 2018-10-04 04:07 - Takenori TAKAKI

- File 28576.patch added

I found the cause of this problem in MailHandler#receive_issue_reply.

I made a patch and attach it.

#3 - 2018-10-04 11:14 - Go MAEDA

- Target version set to 3.3.9

Setting the target version to 3.3.9.

#4 - 2018-11-23 07:09 - Go MAEDA

- Subject changed from Redmine rejects e-mail but adds the attachment to Attachments are added even if validation fails when updating an issue via

email

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you all for reporting and fixing the issue.

2025-05-02 1/2



#5 - 2018-11-24 12:22 - Go MAEDA

- Status changed from Resolved to Closed

Merged to stable branches.

Files

28576.patch 1.51 KB 2018-10-04 Takenori TAKAKI
